#    Copyright (C) 1996 Aladdin Enterprises.  All rights reserved.
# 
# This file is part of GNU Ghostscript.
# 
# GNU Ghostscript is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility to
# anyone for the consequences of using it or for whether it serves any
# particular purpose or works at all, unless he says so in writing.  Refer to
# the GNU General Public License for full details.
# 
# Everyone is granted permission to copy, modify and redistribute GNU
# Ghostscript, but only under the conditions described in the GNU General
# Public License.  A copy of this license is supposed to have been given to
# you along with GNU Ghostscript so you can know your rights and
# responsibilities.  It should be in a file named COPYING.  Among other
# things, the copyright notice and this notice must be preserved on all
# copies.
# 
# Aladdin Enterprises is not affiliated with the Free Software Foundation or
# the GNU Project.  GNU Ghostscript, as distributed by Aladdin Enterprises,
# does not depend on any other GNU software.

# Common partial makefile for MS-Windows DLLs.

# Creating the icons from their text form.

ICONS=gsgraph.ico gstext.ico

gsgraph.ico: gsgraph.icx $(ECHOGS_XE)
	echogs -wb gsgraph.ico -n -X -r gsgraph.icx

gstext.ico: gstext.icx $(ECHOGS_XE)
	echogs -wb gstext.ico -n -X -r gstext.icx

# Compile the small EXE loader.

DWOBJ=dwdll.obj dwimg.obj dwmain.obj dwtext.obj gscdefs.obj

dwdll.obj: dwdll.cpp dwdll.h gsdll.h

dwimg.obj: dwimg.cpp dwmain.h dwdll.h dwtext.h dwimg.h gscdefs.h gsdll.h

dwmain.obj: dwmain.cpp dwdll.h gscdefs.h gsdll.h

dwtext.obj: dwtext.cpp dwtext.h

$(GS).res: dwmain.rc dwmain.h $(ICONS)
	$(COMPDIR)\$(RCOMP) -i$(INCDIR) -r -fo$(GS).res dwmain.rc

# Compile gsdll.c, the main program of the DLL.

gsdll.$(OBJ): gsdll.c gsdll.h $(ghost_h)
